#
# spec file for package python-curlylint
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without libalternatives
Name:           python-curlylint
Version:        0.13.1
Release:        3.1
Summary:        HTML templates linting for Jinja, Nunjucks, Django templates, Twig, Liquid
License:        MIT
URL:            https://github.com/thibaudcolas/curlylint
Source:         https://files.pythonhosted.org/packages/source/c/curlylint/curlylint-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  alts
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       alts
Requires:       python-attrs >= 17.2.0
Requires:       python-click >= 6.5
Requires:       python-parsy >= 1.1.0
Requires:       python-pathspec >= 0.6
Requires:       python-toml >= 0.9.4
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs >= 17.2.0}
BuildRequires:  %{python_module click >= 6.5}
BuildRequires:  %{python_module parsy >= 1.1.0}
BuildRequires:  %{python_module pathspec >= 0.6}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module toml >= 0.9.4}
# /SECTION
%python_subpackages

%description
HTML templates linting for Jinja, Nunjucks, Django templates, Twig, Liquid.

%prep
%autosetup -p1 -n curlylint-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/curlylint
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%pre
# If libalternatives is used: Removing old update-alternatives entries.
%python_libalternatives_reset_alternative curlylint

# post and postun macro call is not needed with only libalternatives

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/curlylint
%{python_sitelib}/curlylint
%{python_sitelib}/curlylint-%{version}*-info

%changelog
* Wed Jun  4 2025 Nico Krapp <nico.krapp@suse.com>
- Migrate to libalternatives
* Mon May 26 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- update to 0.13.1:
  * Update patch_click to fix compatibility issue with click 8.1.0. Fix #132 (#133). Thanks to @jmsmkn and @adamchainz!
  * Fix incorrect documentation for no_autofocus and tabindex_no_positive.
* Sun Jan 16 2022 Dirk Müller <dmueller@suse.com>
- update to 0.13.0:
  * Implement --template-tags CLI flag (#25, #77).
  * Changed
  * Add more descriptive error message for missing whitespace between HTML attributes
  * Move development dependencies from extras to separate requirements.txt
  * Declare support for Python 3.9.
  * Tentatively declare support for Python 3.10
* Sat Jan 23 2021 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.12.0
